### Enumeration

# EBookContacts BookIndexType

#### Declaration

    enum EBookContacts.BookIndexType

#### Description [src]

The type of index defined by e_source_backend_summary_setup_set_indexed_fields().

#### Members

`E_BOOK_INDEX_PREFIX`

  An index suitable for searching contacts with a prefix pattern.

  - Value: `0`
  - Available since: 1.2
`E_BOOK_INDEX_SUFFIX`

  An index suitable for searching contacts with a suffix pattern.

  - Value: `1`
  - Available since: 1.2
`E_BOOK_INDEX_PHONE`

  An index suitable for searching contacts for phone numbers. Phone numbers must be convertible into FQTN according to E.164 to be stored in this index. The number “+9999999” for instance won’t be stored because the country calling code “+999” currently is not assigned..

  - Value: `2`
  - Available since: 1.2
`E_BOOK_INDEX_SORT_KEY`

  Indicates that a given `EContactField` should be usable as a sort key.

  - Value: `3`
  - Available since: 1.2